SymetryML Documentation
Federated learning

Validate PSR contract

Validate a list of PSR rule strings against this project's current DEM, without persisting them as the federation's contract.

POST
/{user}/fedml/{project}/contractValidate

Validate a list of PSR rule strings against this project's current DEM, without persisting them as the federation's contract.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/c1/fedml/nbra_prj_iris/contractValidate" \  -H "Content-Type: application/json" \  -d '{    "values": [      "COUNT(sepal_length) > 10000",      "COUNT(Iris_setosa) > 10000"    ]  }'
{  "statusCode": 200,  "statusString": "OK",  "values": {    "string": ""  }}
{  "statusCode": 500,  "statusString": "Generic Exception [java.lang.NullPointerException]",  "values": {}}